% Script STP_tool
% Usage: stp_tool

% Copyright 2018, David W. Eaton, University of Calgary, all rights reserved
%
% THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER "AS IS" AND ANY EXPRESS OR 
% IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF 
% MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT 
% SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, 
% INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED 
% TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR 
% BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, 
% STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY 
% OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

% This program accompanies the textbook "Passive Seismic Monitoring of
% Induced Seismicity: Fundamental Principles and Application to Energy
% Technologies", Cambridge University Press
%
% Please refer to the online solutions manual for usage information


disp('Warning: your workspace will be cleared. Hit enter to continue.');
pause;

clear;

close all;

k = 1;

prompt={'m_1_1','m_2_2','m_3_3','m_1_2','m_1_3','m_2_3'};
name='Input for STP';
numlines=1;
defaultanswer={'0','0','0','0','0','0'};
options.Resize='on';
options.WindowStyle='normal';
options.Interpreter='tex';
answer=inputdlg(prompt,name,numlines,defaultanswer,options);

m11 = str2double(answer(1));
m22 = str2double(answer(2));
m33 = str2double(answer(3));
m12 = str2double(answer(4));
m13 = str2double(answer(5));
m23 = str2double(answer(6));

m(k,:) = [m11,m22,m33,m12,m13,m23];

resp = input('Enter another MT? 1 = yes');

while resp == 1;
    k = k + 1;
    
prompt={'m_1_1','m_2_2','m_3_3','m_1_2','m_1_3','m_2_3'};
name='Input for STP';
numlines=1;
defaultanswer={'0','0','0','0','0','0'};
options.Resize='on';
options.WindowStyle='normal';
options.Interpreter='tex';
answer=inputdlg(prompt,name,numlines,defaultanswer,options);

m11 = str2double(answer(1));
m22 = str2double(answer(2));
m33 = str2double(answer(3));
m12 = str2double(answer(4));
m13 = str2double(answer(5));
m23 = str2double(answer(6));

m(k,:) = [m11,m22,m33,m12,m13,m23];

resp = input('Enter another MT? 1 = yes');
end

source_type_plot(m);

